> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# 即梦视频生成3.0

即梦视频3.0 —— 即梦同源的文生视频能力，专业级视频生成引擎，释放无限创意。 准确遵循复杂指令，视觉表达流畅一致，可驾驭多元艺术风格，在视频生成质量出色的基础上，是生成效果与速度兼备的高性价比之选。

### 模型参数

* 模型ID：`jimeng_t2v_v30`/`jimeng_i2v_v30`
* 模型价格：你可以在[模型广场](https://geekai.co/models?platform=jimeng\&type=video)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/videos/generations`
* 模型参数：参考[视频 API 手册](https://docs.geekai.co/cn/api/video/generations)
* API认证：[获取 API KEY](https://docs.geekai.co/cn/docs/quick_start)

<Note>
  不支持视频 API 中的以下参数：

  * `negative_prompt`
  * `with_audio`
  * `size`
  * `quality`
  * `fps`
  * `watermark`

  附：[即梦视频生成3.0官方 API 文档](https://www.volcengine.com/docs/85621/1792707)

  生成视频的长宽比可以通过 `aspect_ratio` 参数指定，只在文生视频场景下生效，图生视频场景会根据输入图的长宽比从可选取值中选择最接近的比例生成。
  可选取值：\["16:9", "4:3", "1:1", "3:4", "9:16", "21:9"]

  图生视频同样也支持图片文件base64编码，只需要在`image`里面填写对应的base64编码即可。
</Note>

### 文生视频

通过文字描述来生成对应视频：

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"jimeng_t2v_v30",
    "prompt":"千军万马",
    "aspect_ratio": "4:3"
}'
```

响应是一个 JSON 对象，包含生成视频的 URL：

```json theme={null}
{
    "model": "jimeng_t2v_v30",
    "task_id": "f5d1f651-06d9-470f-8567-0355b4e596b0",
    "task_status": "succeed",
    "video_result": [
        {
            "url": "https://static.geekai.co/video/2026/01/30/24c46ca363a5dee6da9c6ec640c97b34.mp4"
        }
    ]
}
```

图生视频生成响应结构是一样的，不再列举。

### 图生视频

**首帧**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"jimeng_i2v_v30",
    "prompt":"女孩抱着狐狸，女孩睁开眼，温柔地看向镜头，狐狸友善地抱着，镜头缓缓拉出，女孩的头发被风吹动",
    "image":"https://ark-project.tos-cn-beijing.volces.com/doc_image/i2v_foxrgirl.png"
}'
```

**首尾帧**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"jimeng_i2v_v30",
    "prompt":"图中女孩对着镜头说\"茄子\"，360度环绕运镜",
    "image":"https://ark-project.tos-cn-beijing.volces.com/doc_image/seepro_first_frame.jpeg",
    "image_tail":"https://ark-project.tos-cn-beijing.volces.com/doc_image/seepro_last_frame.jpeg"
}'
```

**运镜**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"jimeng_i2v_v30",
    "prompt":"女孩抱着狐狸，女孩睁开眼，温柔地看向镜头，狐狸友善地抱着，镜头缓缓拉出，女孩的头发被风吹动",
    "image":"https://ark-project.tos-cn-beijing.volces.com/doc_image/i2v_foxrgirl.png",
    "extra_body": {
        "template_id": "hitchcock_dolly_in",
        "camera_strength": "medium"
    }
}'
```

同样，即梦视频生成3.0也支持`1080p`,可以通过`resolution`来指定，默认为值为`720p`

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"jimeng_i2v_v30",
    "prompt":"女孩抱着狐狸，女孩睁开眼，温柔地看向镜头，狐狸友善地抱着，镜头缓缓拉出，女孩的头发被风吹动",
    "image":"https://ark-project.tos-cn-beijing.volces.com/doc_image/i2v_foxrgirl.png",
    "resolution": "1080p"
}'
```

<Note>
  如果指定`resolution`的值为`1080p`，除了运镜其他都支持。
</Note>
